package sorare

import "git.lehouerou.net/laurent/sorare/graphql"

type Country struct {
	Id              graphql.Id `graphql:"id"`
	Code            string     `graphql:"code"`
	Slug            string     `graphql:"slug"`
	Name            string     `graphql:"name"`
	ThreeLetterCode string     `graphql:"threeLetterCode"`
	FlagFlat64Url   string     `graphql:"flagFlat64:flagUrl(shape:\"flat\", size:64)"`
	FlagFlat32Url   string     `graphql:"flagFlat32:flagUrl(shape:\"flat\", size:32)"`
	FlagRound64Url  string     `graphql:"flagRound64:flagUrl(shape:\"round\", size:64)"`
	FlagRound32Url  string     `graphql:"flatRound32:flagUrl(shape:\"round\", size:32)"`
}
